Retrieves the job_non_part_usage object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
job_non_part_usage| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| jobs_id |
Foreign key of jobs |
globally unique identifier |
Required |
| user_id |
Foreign key, user that makes the approval |
globally unique identifier | |
| source_db_table_id |
Source Table used to generate this non part usage (Car_travel or user_timesheet) |
globally unique identifier | |
| source_id_in_table |
Source Object Id used to generate this non part usage (car_travel.id or user_timesheet.id) |
globally unique identifier | |
| working_date |
Date when the object has been generated |
date |
Required |
| timesheet_date_from |
In the case of a timesheet, the date+time FROM |
date | |
| timesheet_date_to |
In the case of a timesheet, the date+time TO |
date | |
| type_code |
Type of Non part (WorkingTime or TravelTime) |
string |
Required Max length: 50 |
| line_code |
code generated from the hour_type.code |
string |
Max length: 50 |
| description |
description generated from the hour_type.commercial_description |
string |
Max length: 255 |
| quantity |
Quantity converted in decimal (45 minutes is 0.75) |
decimal number |
Required Range: inclusive between 0.1 and 1.79769313486232E+308 |
| price |
Unit Price computed via the hour_type |
decimal number |
Matching regular expression pattern: ^[0-9]\d*(\.\d+)?$ |
| line_memo |
Extra memo on the line filled by the User |
string |
Max length: 4000 |
| signed_by_company |
Object was included in a job approval and signed (readonly) |
boolean | |
| job_approval_id |
Foreign key to the approval this lines belongs |
globally unique identifier | |
| is_under_warranty |
If the system detects that line was included in the warranty, price will be 0 |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "d1c0b750-2a30-4009-a9cb-a77ec32bc216",
"jobs_id": "b77ca0c6-0cc8-4af4-8296-ed6204924d51",
"user_id": "d1884f8b-7666-44eb-8313-bb2f4e5a4989",
"source_db_table_id": "18a52d50-0258-47d4-b335-3cf9d6e22a43",
"source_id_in_table": "0792d578-a201-4dc8-9dfb-4cccda8f7384",
"working_date": "2026-05-04T17:01:26.88376+00:00",
"timesheet_date_from": "2026-05-04T17:01:26.88376+00:00",
"timesheet_date_to": "2026-05-04T17:01:26.88376+00:00",
"type_code": "sample string 9",
"line_code": "sample string 10",
"description": "sample string 11",
"quantity": 12.0,
"price": 13.0,
"line_memo": "sample string 14",
"signed_by_company": true,
"job_approval_id": "0d29e13e-bc18-4678-b230-331cface1be0",
"is_under_warranty": true,
"modified_dateutc": "2026-05-04T17:01:26.88376+00:00"
}